Package wx :: Package lib :: Module imageutils

[frames | no frames]

## Module wx.lib.imageutils

Function Summary
| ``grayOut`(anImage)` Convert the given image (in place) to a grayed-out version, appropriate for a 'disabled' appearance.
| ``makeGray`((r, g, b), factor, maskColor)` Make a pixel grayed-out.
| ``stepColour`(c, step)` stepColour is a utility function that simply darkens or lightens a color, based on the specified step value.

Function Details

### grayOut(anImage)

Convert the given image (in place) to a grayed-out version, appropriate for a 'disabled' appearance.

### makeGray((r, g, b), factor, maskColor)

Make a pixel grayed-out. If the pixel matches the maskColor, it won't be changed.

### stepColour(c, step)

stepColour is a utility function that simply darkens or lightens a color, based on the specified step value. A step of 0 is completely black and a step of 200 is totally white, and 100 results in the same color as was passed in.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:47 2007 | http://epydoc.sf.net